/*
 * Copyright © 2020 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of gaming-core.
 *
 * Gaming-core is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Gaming-core is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with gaming-core. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.core {

    exports de.fhdw.gaming.core.domain;
    exports de.fhdw.gaming.core.domain.util;
    exports de.fhdw.gaming.core.ui;
    exports de.fhdw.gaming.core.ui.type;
    exports de.fhdw.gaming.core.ui.type.validator;
    exports de.fhdw.gaming.core.ui.util;

    uses de.fhdw.gaming.core.domain.GameBuilderFactory;
    uses de.fhdw.gaming.core.domain.ObserverFactory;
    uses de.fhdw.gaming.core.ui.InputProviderFactory;

    opens de.fhdw.gaming.core.domain;
    opens de.fhdw.gaming.core.domain.util;
    opens de.fhdw.gaming.core.ui;
    opens de.fhdw.gaming.core.ui.type;
    opens de.fhdw.gaming.core.ui.type.validator;
    opens de.fhdw.gaming.core.ui.util;
}
